import * as React from 'react';
import { IFocusTrapZoneProps } from './FocusTrapZone.Props';
export declare class FocusTrapZone extends React.Component<IFocusTrapZoneProps, {}> {
    refs: {
        [key: string]: React.ReactInstance;
        root: HTMLElement;
    };
    private _previouslyFocusedElement;
    private _events;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private _onKeyboardHandler(ev);
    private _focusOnFirstChildInZone();
    private _forceFocusInTrap(ev);
    private _forceClickInTrap(ev);
}
